Replaces colors in the image

- « Imagick::clone

- Imagick::coalesceImages »

- PHP Manual
- Imagick
- Replaces colors in the image

# Imagick::clutImage

(PECL imagick 2, PECL imagick 3)

Imagick::clutImage — Replaces colors in the image

### Description

public Imagick::clutImage(Imagick `$lookup_table`, int `$channel` = Imagick::CHANNEL_DEFAULT): bool

Replaces colors in the image from a color lookup table. Optional second parameter to replace colors in a specific channel. This method is available if Imagick has been compiled against ImageMagick version 6.3.6 or newer.

### Parameters

`lookup_table`

  Imagick object containing the color lookup table

`channel`

  The Channeltype constant. When not supplied, default channels are replaced.

### Return Values

Returns `true` on success.

### Examples

Example #1 Using Imagick::clutImage():

Replace colors in the image from a color lookup table.

    <?php
    $image = new Imagick('test.jpg');
    $clut = new Imagick();
    $clut->newImage(1, 1, new ImagickPixel('black'));
    $image->clutImage($clut);
    $image->writeImage('test_out.jpg');
    ?>

### See Also

- Imagick::adaptiveBlurImage() - Adds adaptive blur filter to image
- Imagick::motionBlurImage() - Simulates motion blur
- Imagick::radialBlurImage() - Radial blurs an image